# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-09 20:34
from __future__ import unicode_literals

from django.db import migrations
from django.db.migrations import RunPython

def create_missed_product_alert_template(apps, schema_editor):
    comm_event_type_model = apps.get_model('customer', 'CommunicationEventType')
    try:
        comm_event_type_model.objects.get(code='PRODUCT_ALERT')
    except comm_event_type_model.DoesNotExist:
        comm_event_type_model.objects.create(
            name='Уведомление о поступлении товара',
            code='PRODUCT_ALERT'
        )

class Migration(migrations.Migration):

    dependencies = [
        ('customer', '0020_auto_20171009_1823'),
    ]

    operations = [
        RunPython(create_missed_product_alert_template)
    ]
